## Script (Python) "kss_addMobileDevice"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=icon_id,parent_device_uid,title=''
##title=kss_addMobileDevice
##
from Products.PloneAzax import AzaxBaseView
from Products.PloneAzax.commands.interfaces import IIssuePortalMessageCommand
from Products.azax.plugins.core.interfaces import IKSSCoreCommands
from Products.CMFPlone import PloneMessageFactory as _
from Products.CMFCore.utils import getToolByName

view = AzaxBaseView(context, context.REQUEST)
ksscore = IKSSCoreCommands(view)

uc = getToolByName(context, 'uid_catalog')
context.plone_log('kss_addMobileDevice called')

# Add a folder as context child
parent = uc(UID=parent_device_uid)[0].getObject()
newid = context.generateUniqueId('MobileDevice')
parent.invokeFactory('MobileDevice', newid)
device = parent[newid]

html = context.macro_renderer.pt_render(
    extra_context = {'template':'context/wurfl_tree_edit', 
        'macro':'main',
        'navigationroot':parent,
        'parent_icon_id':icon_id,
        'is_kss_call':1,
        'batch_size':10,
        'device_expand_clicked':1,
        }
    )        
ksscore.setAttribute(ksscore.getHtmlIdSelector(icon_id), 'class', 'widget_select_item_minus')
ksscore.setAttribute(ksscore.getHtmlIdSelector(icon_id), 'src', 'mi.gif')    
ksscore.replaceInnerHTML(ksscore.getHtmlIdSelector('widget_select_expand_div_%s' % icon_id), 
    html)
    
# Trigger the div loads used to fake streaming
commands = view.getCommands()
chatarea = ksscore.getHtmlIdSelector('wurfl-tree-edit-batch-dummy')
commands.addCommand('triggerdivloads', chatarea);

IIssuePortalMessageCommand(view).issuePortalMessage(_("Mobile device created"))
       
return view.render()    
