## Script (Python) "kss_onDeviceGroupsClick"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=icon_id,klass,device_uid
##title=kss_onDeviceGroupsClick
##
from Products.PloneAzax import AzaxBaseView
from Products.PloneAzax.commands.interfaces import IIssuePortalMessageCommand
from Products.azax.plugins.core.interfaces import IKSSCoreCommands
from Products.CMFPlone import PloneMessageFactory as _
from Products.CMFCore.utils import getToolByName

context.plone_log('kss_onDeviceGroupsClick called')
uc = getToolByName(context, 'uid_catalog')

view = AzaxBaseView(context, context.REQUEST)
ksscore = IKSSCoreCommands(view)

if klass.find('wurfl_tree_groups_plus') != -1:
    device = uc(UID=device_uid)[0].getObject()   
    html = context.macro_renderer.pt_render(
        extra_context = {'template':'context/wurfl_tree_edit', 
            'macro':'groups',
            'device':device,
            }
        )        
    ksscore.setAttribute(ksscore.getHtmlIdSelector(icon_id), 'class', 'wurfl_tree_groups_minus') 
    ksscore.setAttribute(ksscore.getHtmlIdSelector(icon_id), 'src', 'mi.gif') 
    ksscore.replaceInnerHTML(ksscore.getHtmlIdSelector('wurfl-tree-edit-div-%s' % icon_id), 
        html)
elif klass.find('wurfl_tree_groups_minus') != -1:
    ksscore.setAttribute(ksscore.getHtmlIdSelector(icon_id), 'class', 'wurfl_tree_groups_plus') 
    ksscore.setAttribute(ksscore.getHtmlIdSelector(icon_id), 'src', 'pl.gif') 
    ksscore.replaceInnerHTML(ksscore.getHtmlIdSelector('wurfl-tree-edit-div-%s' % icon_id), 
        '')

return view.render()    
