## Script (Python) "kss_deleteMobileDevice"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=parent_icon_id,device_uid
##title=kss_deleteMobileDevice
##
from Products.PloneAzax import AzaxBaseView
from Products.PloneAzax.commands.interfaces import IIssuePortalMessageCommand
from Products.azax.plugins.core.interfaces import IKSSCoreCommands
from Products.CMFPlone import PloneMessageFactory as _
from Products.CMFCore.utils import getToolByName

view = AzaxBaseView(context, context.REQUEST)
ksscore = IKSSCoreCommands(view)

uc = getToolByName(context, 'uid_catalog')
context.plone_log('kss_deleteMobileDevice called')

object_to_delete = uc(UID=device_uid)[0].getObject()
parent_object = object_to_delete.aq_parent
parent_object.manage_delObjects(ids=[object_to_delete.id])

html = context.macro_renderer.pt_render(
    extra_context = {'template':'context/wurfl_tree_edit', 
        'macro':'main',
        'navigationroot':parent_object,
        'parent_icon_id':parent_icon_id,
        'is_kss_call':1,
        'batch_size':10,
        'device_expand_clicked':1,
        }
    )        
ksscore.replaceInnerHTML(ksscore.getHtmlIdSelector('widget_select_expand_div_%s' % parent_icon_id), 
    html)

# Trigger the div loads used to fake streaming
commands = view.getCommands()
chatarea = ksscore.getHtmlIdSelector('wurfl-tree-edit-batch-dummy')
commands.addCommand('triggerdivloads', chatarea);

IIssuePortalMessageCommand(view).issuePortalMessage(_("Mobile device deleted"))
       
return view.render()    
