## Script (Python) " kss_onCapabilityChange"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=device_uid,capability,vartype,value=''
##title= kss_onCapabilityChange
##

from Products.PloneAzax import AzaxBaseView
from Products.PloneAzax.commands.interfaces import IIssuePortalMessageCommand
from Products.azax.plugins.core.interfaces import IKSSCoreCommands
from Products.CMFPlone import PloneMessageFactory as _
from Products.CMFCore.utils import getToolByName

uc = getToolByName(context, 'uid_catalog')
context.plone_log('kss_onCapabilityChange called')

view = AzaxBaseView(context, context.REQUEST)
ksscore = IKSSCoreCommands(view)

# Validate
if vartype == 'bool':
    pass
elif vartype in ('int', 'threestatebool'):
    try:
        value = int(value)
    except:
        IIssuePortalMessageCommand(view).issuePortalMessage(_("Invalid integer value (%s)" % value))
        return view.render()
elif vartype == 'str':
    pass
else:
    IIssuePortalMessageCommand(view).issuePortalMessage(_("Invalid type (%s)" % vartype))
    return view.render()

device = uc(UID=device_uid)[0].getObject()   
# Below doesn't work?
#device.getField(capability).set(device, value)
device.setAttribute(capability, value)

IIssuePortalMessageCommand(view).issuePortalMessage(_("Capability %s saved" % capability))
 
return view.render()    
