## Script (Python) "kss_onDeviceClick"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=icon_id,klass,device_uid
##title=kss_onDeviceClick
##
from Products.PloneAzax import AzaxBaseView
from Products.PloneAzax.commands.interfaces import IIssuePortalMessageCommand
from Products.azax.plugins.core.interfaces import IKSSCoreCommands
from Products.CMFPlone import PloneMessageFactory as _
from Products.CMFCore.utils import getToolByName

uc = getToolByName(context, 'uid_catalog')
context.plone_log('kss_onDeviceClick called')

view = AzaxBaseView(context, context.REQUEST)
ksscore = IKSSCoreCommands(view)

if klass.find('widget_select_item_plus') != -1:
    device = uc(UID=device_uid)[0].getObject()
    html = context.macro_renderer.pt_render(
        extra_context = {'template':'context/wurfl_tree_edit', 
            'macro':'main',
            'navigationroot':device,
            'parent_icon_id':icon_id,
            'is_kss_call':1,
            'batch_size':10,
            'device_expand_clicked':1,
            }
        )   
       
    ksscore.setAttribute(ksscore.getHtmlIdSelector(icon_id), 'class', 'widget_select_item_minus') 
    ksscore.setAttribute(ksscore.getHtmlIdSelector(icon_id), 'src', 'mi.gif') 
    
    ksscore.replaceInnerHTML(ksscore.getHtmlIdSelector('widget_select_expand_div_%s' % icon_id), 
         html)

    # Trigger the div loads used to fake streaming
    commands = view.getCommands()
    chatarea = ksscore.getHtmlIdSelector('wurfl-tree-edit-batch-dummy')
    commands.addCommand('triggerdivloads', chatarea);

    context.plone_log('done (%s characters)' % len(html))
    
elif klass.find('widget_select_item_minus') != -1:
    ksscore.setAttribute(ksscore.getHtmlIdSelector(icon_id), 'class', 'widget_select_item_plus') 
    ksscore.setAttribute(ksscore.getHtmlIdSelector(icon_id), 'src', 'pl.gif') 
    ksscore.replaceInnerHTML(ksscore.getHtmlIdSelector('widget_select_expand_div_%s' % icon_id), 
        '')

return view.render()    
