##parameters=ignore_if_none=False

s = """<device user_agent="%s" fall_back="%s" id="%s">\n""" \
    % (context.getUserAgent(), 
        getattr(context.aq_parent, 'getOriginalDeviceId', lambda:'root')() or 'generic', 
        context.getOriginalDeviceId())

changes = False
for group in context.getGroups():
    n = 0
    for cap in [fld for fld in context.getGroupCapabilities(group) if fld in context.getModifiedFields()]:
        if n == 0:
            s += """  <group id="%s">\n""" % group
            
        s += """    <capability name="%s" value="%s"/>\n""" % (cap, context.get(cap))
        n += 1
        changes = True

    if n:
        s += "  </group>\n"

if not changes and ignore_if_none:
    return ''
  
s += "</device>"
return s
