##parameters=patch_format=False
from Products.CMFCore.utils import getToolByName

pc = getToolByName(context, 'portal_catalog')

if patch_format:
    s = "<wurfl_patch>\n<devices>\n"
else:
    s = """<?xml version="1.0" encoding="UTF-8"?>\n<wurfl>\n"""

if not patch_format:
    # Root (ie context) must always be part of the diff.
    # If the catalog query is going to miss it then add here.
    if not context.getHasModifiedFields():
        s = s + context.wurfl_xml_diff_raw(ignore_if_none=False) + "\n"

for brain in pc(portal_type='MobileDevice', 
                path="/".join(context.getPhysicalPath()),
                getHasModifiedFields=True):
    s = s + brain.getObject().wurfl_xml_diff_raw(ignore_if_none=True) + "\n"

if patch_format:
    s = s + "</devices>\n</wurfl_patch>"
else:
    s = s + "</wurfl>"

return s    
